Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228628 - Please revert textrel_shlib_t context for Nemiver plugin
Summary: Please revert textrel_shlib_t context for Nemiver plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 02:15 UTC by Peter Gordon
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.5.4-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 18:21:49 UTC


Attachments (Terms of Use)

Description Peter Gordon 2007-02-14 02:15:56 UTC
Hello.

I'm working on submitting Nemiver (a GUI C/C++ debugger using gdb) and Gianluca
Sforna has stumbled on a minor problem wherein the perspective plugin needs to
be marked as textrel_shlib_t so that it can properly run without SELinux denials. 

While I understand that this can be a security, I believe it is intended
behavior, and will bug upstream about it to change the employed methodology to
something not requiring this execmod capability; but until that time, this  is
needed for proper running of the program.

Therefore, I ask that
/usr/lib/nemiver/plugins/dbgperspective/libdbgperspectiveplugin.so (and
/usr/lib64/nemiver/plugins/dbgperspective/libdbgperspectiveplugin.so on 64-bit
platforms) be added with this context to the policy, and when this is no longer
needed will ask that it be removed as well.

Thanks!

Comment 1 Daniel Walsh 2007-02-14 16:56:52 UTC
Fixed in selinux-policy-2.5.3-2

Comment 2 Peter Gordon 2007-02-17 17:02:27 UTC
Thanks, Dan; and sorry to keep poking you about this (see comments 21 and on
from bug 223943). :]

Now it seems we need to revert that change as it was in fact not needed. (At
least, I am unable to reproduce the issue.) 

Would you please remove the Nemiver plugin's textrel_shlib_t marking? 

Thanks for your help!

Comment 3 Gianluca Sforna 2007-02-17 23:54:20 UTC
Is there a reason why the problem seems to be FC5 specific?

Comment 4 Daniel Walsh 2007-02-20 20:10:32 UTC
Not that I know of, unless you are dealing with a newer version of the plugin.

Comment 5 Daniel Walsh 2007-02-21 13:59:42 UTC
Reverted in  2.5.4-2

Comment 6 Peter Gordon 2007-02-22 18:21:49 UTC
Thanks; and sorry to bug you so much! :]


Note You need to log in before you can comment on or make changes to this bug.